import React from 'react';
import { ThemeProps, DefaultTheme } from 'styled-components';
import { Props } from './illustrations/props.type';
export declare type IllustrationProps = Omit<Props, 'theme'> & {
    variant: 'Moon' | 'Rocket' | 'Astronaut' | 'DocumentCheck' | 'DocumentSearch' | 'FileSearch' | 'FlagInCog' | 'Folders' | 'Launch' | 'Planet' | 'AdminBroLogo' | 'SoftwareBrothersLogo' | 'GithubLogo';
};
export declare const Illustration: React.ForwardRefExoticComponent<Pick<React.PropsWithChildren<Pick<Props, "height" | "width"> & {
    variant: "Rocket" | "Moon" | "Astronaut" | "DocumentCheck" | "DocumentSearch" | "FileSearch" | "FlagInCog" | "Folders" | "Launch" | "Planet" | "AdminBroLogo" | "SoftwareBrothersLogo" | "GithubLogo";
} & ThemeProps<DefaultTheme>>, "children" | "height" | "width" | "variant"> & {
    theme?: DefaultTheme | undefined;
}>;
export default Illustration;
